# Class ServiceConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents the configuration settings for a service.

    public class ServiceConfig

Inheritance
  object
  ServiceConfig

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### BoxObservations

    public string[]? BoxObservations { get; set; }

#### Property Value

string[]

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### Score

    public string Score { get; set; }

#### Property Value

string

### Service

    public List<ServiceConfigService> Service { get; set; }

#### Property Value

List<ServiceConfigService>

### StrId

    public string StrId { get; set; }

#### Property Value

string

### Theme

    public ServiceConfigTheme? Theme { get; set; }

#### Property Value

ServiceConfigTheme